<template>
	<div class="settings">
		<section class="settings_nav">
			<ul class="settings_menu">
				<router-link tag="li" to="/settings/groups" v-if="can('settings_group', 'View')">
					<a href="">{{$store.state.locale.groups}}</a>
				</router-link>

				<router-link tag="li" to="/settings/users" v-if="can('settings_user', 'View')">
					<a href="">{{$store.state.locale.users}}</a>
				</router-link>

				<router-link tag="li" to="/settings/roles" v-if="can('settings_role', 'View')">
					<a href="">{{$store.state.locale.roles}}</a>
				</router-link>

				<router-link tag="li" to="/settings/modes" v-if="can('settings_mode', 'View')">
					<a href="">{{$store.state.locale.modes}}</a>
				</router-link>

				<router-link tag="li" to="/settings/categories" v-if="can('settings_category', 'View')">
					<a href="">{{$store.state.locale.categories}}</a>
				</router-link>

				<router-link tag="li" to="/settings/priorities" v-if="can('settings_priority', 'View')">
					<a href="">{{$store.state.locale.priority}}</a>
				</router-link>

				<router-link tag="li" to="/settings/activate" v-if="can('settings_activation', 'View')">
					<a href="">{{$store.state.locale.activation}}</a>
				</router-link>

				<router-link tag="li" to="/settings/call-center" v-if="can('settings_call_center', 'View')">
					<a href="">{{$store.state.locale.callCenter}}</a>
				</router-link>

				<router-link tag="li" to="/settings/conference" v-if="can('settings_conference', 'View')">
					<a href="">{{$store.state.locale.conference}}</a>
				</router-link>


				<router-link tag="li" to="/settings/localization" v-if="can('settings_localization', 'View')">
					<a href="">{{$store.state.locale.localization}}</a>
				</router-link>

				<router-link tag="li" to="/settings/newstype" v-if="can('settings_newstype', 'View')">
					<a href="">{{$store.state.locale.newstype}}</a>
				</router-link>

				<router-link tag="li" to="/settings/handbook" v-if="can('settings_handbook', 'View')">
					<a href="">{{ $store.state.locale.handbook }}</a>
				</router-link>

				<router-link tag="li" to="/settings/recordings" v-if="can('settings_recordings', 'View')">
					<a href="">{{ $store.state.locale.recordings }}</a>
				</router-link>
				<router-link tag="li" to="/settings/contacts" v-if="can('settings_contacts', 'View')">
					<a href="">{{$store.state.locale.contacts}}</a>
				</router-link>
				<router-link tag="li" to="/settings/greetings" v-if="can('settings_greetings', 'View')">
					<a href="">{{$store.state.locale.greetings}}</a>
				</router-link>
				<router-link tag="li" to="/settings/faqCategory" v-if="can('settings_faqCategory', 'View')">
					<a href="">{{$store.state.locale.category}} FAQ</a>
				</router-link>
				<router-link tag="li" to="/settings/deal" v-if="can('settings_deal', 'View')">
					<a href="">{{$store.state.locale.deal}}</a>
				</router-link>
				<router-link tag="li" to="/settings/department" v-if="can('settings_department', 'View')">
					<a href="">{{$store.state.locale.department}}</a>
				</router-link>
				<router-link tag="li" to="/settings/organization" v-if="can('settings_organization', 'View')">
					<a href="">{{$store.state.locale.organization}}</a>
				</router-link>
			</ul>
		</section>
		<router-view></router-view>
	</div>
</template>

<style></style>

<script src="./SettingsScript.js"></script>